Subject: Re: [IPFIX] [IANA #476592] clarify IPFIX interface information elements

From: Nevil Brownlee <[email-masked]>
Date: Sat, 30 Jul 2011 03:02:45 +1200

Hi Amanda:

WG consensus (on the IPFIX list) is that we should NOT make this
change.

Instead, it looks as though we should make a clarifying statement
about it, but we haven't yet reached agreement on where that statement
should appear.

Cheers, Nevil

On 27/07/11 09:40, Amanda Baber via RT wrote:
> Hi Nevil,
>
> Are you OK with these changes?
>
> thanks,
> Amanda
>
> On Tue Jul 26 12:42:44 2011, [email-masked] wrote:
>> Dear IANA,
>>
>> Subject to the WG chair / expert reviewer's approval, and per the WG
>> email attached below, I propose the following four clarifications be
>> made to the IPFIX Information Elements registry at
>> http://www.iana.org/assignments/ipfix/ipfix.xml
>>
>> Note that the changes are highlighted in red for convenience, though
>> this colour is not intended to be used in the registry.
>>
>> Thanks,
>> P.
>>
>>
>> #10 ingressInterface
>>
>> OLD
>>              The index of the IP interface where packets of this Flow
>>              are being received.  The value matches the value of managed
>>              object 'ifIndex' as defined in RFC 2863.
>>              Note that ifIndex values are not assigned statically to an
>>              interface and that the interfaces may be renumbered every
>>              time the device's management system is re-initialized, as
>>              specified in RFC 2863.
>> NEW
>>              The index of the logical or virtual IP interface where
>> packets of this Flow
>>              are being received.  The value matches the value of managed
>>              object 'ifIndex' as defined in RFC 2863.
>>              Note that ifIndex values are not assigned statically to an
>>              interface and that the interfaces may be renumbered every
>>              time the device's management system is re-initialized, as
>>              specified in RFC 2863.
>> END
>>
>>
>> #14 egressInterface
>>
>> OLD
>>              The index of the IP interface where packets of
>>              this Flow are being sent.  The value matches the value of
>>              managed object 'ifIndex' as defined in RFC 2863.
>>              Note that ifIndex values are not assigned statically to an
>>              interface and that the interfaces may be renumbered every
>>              time the device's management system is re-initialized, as
>>              specified in RFC 2863.
>> NEW
>>              The index of the logical or virtual IP interface where
>> packets of
>>              this Flow are being sent.  The value matches the value of
>>              managed object 'ifIndex' as defined in RFC 2863.
>>              Note that ifIndex values are not assigned statically to an
>>              interface and that the interfaces may be renumbered every
>>              time the device's management system is re-initialized, as
>>              specified in RFC 2863.
>> END
>>
>>
>> #252 ingressPhysicalInterface
>>
>> OLD
>>             The index of a networking device's physical interface
>> (example, a
>>             switch port) where packets of this flow are being received.
>> NEW
>>             The index of a networking device's physical interface
>> (example, a
>>             switch port) where packets of this flow are being received.
>>             The value matches the value of managed object 'ifIndex' as
>> defined in RFC 2863.
>>             Note that ifIndex values are not assigned statically to an
>>             interface and that the interfaces may be renumbered every
>>             time the device's management system is re-initialized, as
>>             specified in RFC 2863.
>> END
>>
>>
>> #253 egressPhysicalInterface
>>
>> OLD
>>             The index of a networking device's physical interface
>> (example, a
>>             switch port) where packets of this flow are being sent.
>> NEW
>>             The index of a networking device's physical interface
>> (example, a
>>             switch port) where packets of this flow are being sent.
>>             The value matches the value of managed object 'ifIndex' as
>> defined in RFC 2863.
>>             Note that ifIndex values are not assigned statically to an
>>             interface and that the interfaces may be renumbered every
>>             time the device's management system is re-initialized, as
>>             specified in RFC 2863.
>> END
>>
>>
>> -------- Original Message --------
>> Subject: 	IPFIX export: SNMP versus physical Interface
>> Date: 	Tue, 26 Jul 2011 13:30:17 +0100
>> From: 	Paul Aitken<[email-masked]>
>> To: 	IETF IPFIX Working Group<[email-masked]>
>>
>>
>>
>> Dear IPFIXers,
>>
>> I noticed that the definitions of fields 10 and 14, and fields 252 and
>> 253 are confusingly similar. See below.
>>
>> Cisco uses fields 10 and 14 to export the logical or virtual interface
>> (eg. SVI, tunnel), while fields 252 and 253 export the actual physical
>> interface.
>>
>> For example, if we have an SVI configured on a VLAN, the SNMP index of
>> the SVI would be exported using fields 10 and 14, while the SNMP index
>> of the physical port in that VLAN would be exported with fields 252
> and 253.
>>
>> So I propose to update fields 10 and 11 to say, "the index of the
>> logical or virtual interface ...", to contrast with 252 and 253 which
>> say, "The index of a networking device's physical interface ...".
>>
>> And I propose to add the following text (copied from 10 and 14) to 252
>> and 253, to clarify that these are also SNMP ifIndex values:
>>
>>              The value matches the value of
>>              managed object 'ifIndex' as defined in RFC 2863.
>>              Note that ifIndex values are not assigned statically to an
>>              interface and that the interfaces may be renumbered every
>>              time the device's management system is re-initialized, as
>>              specified in RFC 2863.
>>
>>
>> The existing definitions are below for reference.
>>
>> Please shout now if you disagree.
>>
>> Thanks,
>> P.
>>
>>
>> 10 ingressInterface unsigned32 identifier current
>>
>>              The index of the IP interface where packets of this Flow
>>              are being received.  The value matches the value of managed
>>              object 'ifIndex' as defined in RFC 2863.
>>              Note that ifIndex values are not assigned statically to an
>>              interface and that the interfaces may be renumbered every
>>              time the device's management system is re-initialized, as
>>              specified in RFC 2863.
>>
>>             See [RFC2863] for the definition of the
>>             ifIndex object.
>>
>>
>> 14 egressInterface unsigned32 identifier current
>>
>>              The index of the IP interface where packets of
>>              this Flow are being sent.  The value matches the value of
>>              managed object 'ifIndex' as defined in RFC 2863.
>>              Note that ifIndex values are not assigned statically to an
>>              interface and that the interfaces may be renumbered every
>>              time the device's management system is re-initialized, as
>>              specified in RFC 2863.
>>
>>             See [RFC2863] for the definition of the
>>             ifIndex object.
>>
>>
>> 252 ingressPhysicalInterface unsigned32 identifier current
>>
>>             The index of a networking device's physical interface
>> (example, a
>>             switch port) where packets of this flow are being received.
>>
>>             See [RFC2863] for the definition of the ifIndex object.
>>
>>
>> 253 egressPhysicalInterface unsigned32 identifier current
>>
>>             The index of a networking device's physical interface
>> (example, a
>>             switch port) where packets of this flow are being sent.
>>
>>             See [RFC2863] for the definition of the ifIndex object.
>>
>
>
>

-- 
---------------------------------------------------------------------
  Nevil Brownlee                    Computer Science Department | ITS
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand